Sign in Start for free

Action Templates

Delete an existing Action Template and all its versions

DELETE /api/{spaceId}/actionTemplates/{id}

Also reachable at /api/actionTemplates/{id}, /api/spaces/{spaceIdentifier}/actionTemplates/{id}.

Path Parameters

  • id string (required)
    Id of the Action Template to delete.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Success

Delete an existing Action Template and all its versions

DELETE /api/{spaceId}/actionTemplates/{id}/v1

Also reachable at /api/actionTemplates/{id}/v1, /api/spaces/{spaceIdentifier}/actionTemplates/{id}/v1.

Path Parameters

  • id string (required)
    Id of the Action Template to delete.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Confirmation that the requested Action Template has been deleted

Example Response

JSON
{}

Get a list of Action Templates

GET /api/{spaceId}/actiontemplates

Also reachable at /api/actiontemplates, /api/spaces/{spaceIdentifier}/actiontemplates.

Lists all of the Action Templates in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • ids array of string
    IDs of the action templates to fetch.
  • isCommunityActionTemplate boolean
    Filters the results based on whether the action is a community template.
  • partialName string
    A partial or complete name to search on. This will perform a "contains" style match against the supplied name or name-fragment.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The requested Action Templates

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • ActionType string
      Minimum length 1.
    • CommunityActionTemplateId string
    • Description string
    • GitDependencies array of object
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
      Minimum length 1.
    • Packages array of object
    • Parameters array of object
    • Properties object
    • SpaceId string
    • Version integer
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "ActionType": "string",
      "CommunityActionTemplateId": "string",
      "Description": "string",
      "GitDependencies": [
        {}
      ],
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "Packages": [
        {}
      ],
      "Parameters": [
        {}
      ],
      "Properties": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      },
      "SpaceId": "Spaces-1",
      "Version": 0
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create an Action Template

POST /api/{spaceId}/actiontemplates

Also reachable at /api/actiontemplates, /api/spaces/{spaceIdentifier}/actiontemplates.

Path Parameters

  • spaceId string (required)
    The id of the Space that contains the Action Template.

Request Body

  • ActionType string (required)
    The action type of the Action Template. Minimum length 1.
  • CommunityActionTemplateId string
    The community action template id if the Action Template is created from a community template.
  • Description string
    The description of the Action Template.
  • GitDependencies array of object
    • DefaultBranch string (required)
      Minimum length 1.
    • FilePathFilters array of string
    • GitCredentialId string
    • GitCredentialType string (required)
      Minimum length 1.
    • GitHubConnectionId string
    • Name string (required)
    • RepositoryUri string (required)
      Minimum length 1.
    • StepPackageInputsReferenceId string
  • Inputs object
    • Value string
  • Name string (required)
    The name of the Action Template. Minimum length 1.
  • Packages array of object
    The list of packages to include in the Action Template.
    • AcquisitionLocation string
      The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.
    • FeedId string
      Feed ID, name or a variable-expression.
    • Id string
    • Name string
      A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.
    • PackageId string
      Package ID or a variable-expression.
    • Properties object
    • StepPackageInputsReferenceId string
      This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.
    • Version string
      Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
  • Parameters array of object
    The list of parameters of the Action Template.
    • DefaultValue object
    • DisplaySettings object
    • HelpText string
    • Id string
    • Label string
    • Name string
  • Properties object
    The list of properties of the Action Template.
  • SpaceId string (required)
    The id of the Space that contains the Action Template.
  • StepPackageVersion string
    The step package version if the Action Template is created from a step package.
  • Version integer
    The version number of the Action Template. Minimum 0.

Response

201 — Created

  • ActionType string
    Minimum length 1.
  • CommunityActionTemplateId string
  • Description string
  • GitDependencies array of object
    • DefaultBranch string
      Minimum length 1.
    • FilePathFilters array of string
    • GitCredentialId string
    • GitCredentialType string
      Minimum length 1.
    • GitHubConnectionId string
    • Name string
    • RepositoryUri string
      Minimum length 1.
    • StepPackageInputsReferenceId string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Minimum length 1.
  • Packages array of object
    • AcquisitionLocation string
      The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.
    • FeedId string
      Feed ID, name or a variable-expression.
    • Id string
    • Name string
      A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.
    • PackageId string
      Package ID or a variable-expression.
    • Properties object
    • StepPackageInputsReferenceId string
      This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.
    • Version string
      Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
  • Parameters array of object
    • DefaultValue object
    • DisplaySettings object
    • HelpText string
    • Id string
    • Label string
    • Name string
  • Properties object
  • SpaceId string
  • Version integer

Example Request

JSON
{
  "ActionType": "string",
  "CommunityActionTemplateId": "CommunityActionTemplates-1",
  "Description": "string",
  "GitDependencies": [
    {
      "DefaultBranch": "string",
      "FilePathFilters": [
        "string"
      ],
      "GitCredentialId": "string",
      "GitCredentialType": "string",
      "GitHubConnectionId": "string",
      "Name": "string",
      "RepositoryUri": "string",
      "StepPackageInputsReferenceId": "string"
    }
  ],
  "Inputs": {
    "Value": "string"
  },
  "Name": "string",
  "Packages": [
    {
      "AcquisitionLocation": "string",
      "FeedId": "string",
      "Id": "string",
      "Name": "string",
      "PackageId": "string",
      "Properties": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "StepPackageInputsReferenceId": "string",
      "Version": "string"
    }
  ],
  "Parameters": [
    {
      "DefaultValue": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "DisplaySettings": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "HelpText": "string",
      "Id": "string",
      "Label": "string",
      "Name": "string"
    }
  ],
  "Properties": {
    "additionalProp1": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp2": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp3": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    }
  },
  "SpaceId": "Spaces-1",
  "StepPackageVersion": "string",
  "Version": 0
}

Example Response

JSON
{
  "ActionType": "string",
  "CommunityActionTemplateId": "string",
  "Description": "string",
  "GitDependencies": [
    {
      "DefaultBranch": "string",
      "FilePathFilters": [
        "string"
      ],
      "GitCredentialId": "string",
      "GitCredentialType": "string",
      "GitHubConnectionId": "string",
      "Name": "string",
      "RepositoryUri": "string",
      "StepPackageInputsReferenceId": "string"
    }
  ],
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "Packages": [
    {
      "AcquisitionLocation": "string",
      "FeedId": "string",
      "Id": "string",
      "Name": "string",
      "PackageId": "string",
      "Properties": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "StepPackageInputsReferenceId": "string",
      "Version": "string"
    }
  ],
  "Parameters": [
    {
      "DefaultValue": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "DisplaySettings": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "HelpText": "string",
      "Id": "string",
      "Label": "string",
      "Name": "string"
    }
  ],
  "Properties": {
    "additionalProp1": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp2": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp3": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    }
  },
  "SpaceId": "Spaces-1",
  "Version": 0
}

Get all Action Templates

GET /api/{spaceId}/actiontemplates/all

Also reachable at /api/actiontemplates/all, /api/spaces/{spaceIdentifier}/actiontemplates/all.

Lists the all of the action templates in the supplied Octopus Deploy Space. The results will be sorted by name.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Action Templates

  • ActionType string
    Minimum length 1.
  • CommunityActionTemplateId string
  • Description string
  • GitDependencies array of object
    • DefaultBranch string
      Minimum length 1.
    • FilePathFilters array of string
    • GitCredentialId string
    • GitCredentialType string
      Minimum length 1.
    • GitHubConnectionId string
    • Name string
    • RepositoryUri string
      Minimum length 1.
    • StepPackageInputsReferenceId string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Minimum length 1.
  • Packages array of object
    • AcquisitionLocation string
      The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.
    • FeedId string
      Feed ID, name or a variable-expression.
    • Id string
    • Name string
      A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.
    • PackageId string
      Package ID or a variable-expression.
    • Properties object
    • StepPackageInputsReferenceId string
      This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.
    • Version string
      Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
  • Parameters array of object
    • DefaultValue object
    • DisplaySettings object
    • HelpText string
    • Id string
    • Label string
    • Name string
  • Properties object
  • SpaceId string
  • Version integer

Example Response

JSON
[
  {
    "ActionType": "string",
    "CommunityActionTemplateId": "string",
    "Description": "string",
    "GitDependencies": [
      {
        "DefaultBranch": "string",
        "FilePathFilters": [
          "string"
        ],
        "GitCredentialId": "string",
        "GitCredentialType": "string",
        "GitHubConnectionId": "string",
        "Name": "string",
        "RepositoryUri": "string",
        "StepPackageInputsReferenceId": "string"
      }
    ],
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "Packages": [
      {
        "AcquisitionLocation": "string",
        "FeedId": "string",
        "Id": "string",
        "Name": "string",
        "PackageId": "string",
        "Properties": {},
        "StepPackageInputsReferenceId": "string",
        "Version": "string"
      }
    ],
    "Parameters": [
      {
        "DefaultValue": {},
        "DisplaySettings": {},
        "HelpText": "string",
        "Id": "string",
        "Label": "string",
        "Name": "string"
      }
    ],
    "Properties": {
      "additionalProp1": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "additionalProp2": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "additionalProp3": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      }
    },
    "SpaceId": "Spaces-1",
    "Version": 0
  }
]

Get a list of Action Template categories

GET /api/{spaceId}/actiontemplates/categories

Also reachable at /api/actiontemplates/categories, /api/spaces/{spaceIdentifier}/actiontemplates/categories.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Action Template categories

  • DisplayOrder integer
  • Id string
  • Links object
  • Name string

Example Response

JSON
[
  {
    "DisplayOrder": 0,
    "Id": "string",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string"
  }
]

List all available action templates including built-in, custom and community contributed step templates

GET /api/{spaceId}/actiontemplates/search

Also reachable at /api/actiontemplates/search, /api/spaces/{spaceIdentifier}/actiontemplates/search.

Lists all of the Action Templates in the supplied Octopus Deploy Space that fit the search criteria.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • type string

Response

200 — The found Action Templates

  • Author string
  • Categories array of string
  • Category string
  • CommunityActionTemplateId string
  • Description string
  • Features array of string
  • HasUpdate boolean
  • Id string
  • IsBuiltIn boolean
  • IsInstalled boolean
  • Keywords string
  • Links object
  • Name string
  • Prerelease boolean
  • SpaceId string
  • Type string
  • Version string
  • Website string

Example Response

JSON
[
  {
    "Author": "string",
    "Categories": [
      "string"
    ],
    "Category": "string",
    "CommunityActionTemplateId": "string",
    "Description": "string",
    "Features": [
      "string"
    ],
    "HasUpdate": true,
    "Id": "string",
    "IsBuiltIn": true,
    "IsInstalled": true,
    "Keywords": "string",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "Prerelease": true,
    "SpaceId": "Spaces-1",
    "Type": "string",
    "Version": "string",
    "Website": "string"
  }
]

Get an Action Template by ID

GET /api/{spaceId}/actiontemplates/{id}

Also reachable at /api/actiontemplates/{id}, /api/spaces/{spaceIdentifier}/actiontemplates/{id}.

Path Parameters

  • id string (required)
    ID of the ActionTemplate to load.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Action Template

  • ActionType string
    Minimum length 1.
  • CommunityActionTemplateId string
  • Description string
  • GitDependencies array of object
    • DefaultBranch string
      Minimum length 1.
    • FilePathFilters array of string
    • GitCredentialId string
    • GitCredentialType string
      Minimum length 1.
    • GitHubConnectionId string
    • Name string
    • RepositoryUri string
      Minimum length 1.
    • StepPackageInputsReferenceId string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Minimum length 1.
  • Packages array of object
    • AcquisitionLocation string
      The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.
    • FeedId string
      Feed ID, name or a variable-expression.
    • Id string
    • Name string
      A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.
    • PackageId string
      Package ID or a variable-expression.
    • Properties object
    • StepPackageInputsReferenceId string
      This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.
    • Version string
      Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
  • Parameters array of object
    • DefaultValue object
    • DisplaySettings object
    • HelpText string
    • Id string
    • Label string
    • Name string
  • Properties object
  • SpaceId string
  • Version integer

Example Response

JSON
{
  "ActionType": "string",
  "CommunityActionTemplateId": "string",
  "Description": "string",
  "GitDependencies": [
    {
      "DefaultBranch": "string",
      "FilePathFilters": [
        "string"
      ],
      "GitCredentialId": "string",
      "GitCredentialType": "string",
      "GitHubConnectionId": "string",
      "Name": "string",
      "RepositoryUri": "string",
      "StepPackageInputsReferenceId": "string"
    }
  ],
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "Packages": [
    {
      "AcquisitionLocation": "string",
      "FeedId": "string",
      "Id": "string",
      "Name": "string",
      "PackageId": "string",
      "Properties": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "StepPackageInputsReferenceId": "string",
      "Version": "string"
    }
  ],
  "Parameters": [
    {
      "DefaultValue": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "DisplaySettings": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "HelpText": "string",
      "Id": "string",
      "Label": "string",
      "Name": "string"
    }
  ],
  "Properties": {
    "additionalProp1": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp2": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp3": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    }
  },
  "SpaceId": "Spaces-1",
  "Version": 0
}

Modify an existing action template

PUT /api/{spaceId}/actiontemplates/{id}

Also reachable at /api/actiontemplates/{id}, /api/spaces/{spaceIdentifier}/actiontemplates/{id}.

Path Parameters

  • id string (required)
    The id of the existing Action Template.
  • spaceId string (required)
    The id of the Space that contains the Action Template.

Request Body

  • Description string
    The description of the Action Template.
  • GitDependencies array of object
    • DefaultBranch string (required)
      Minimum length 1.
    • FilePathFilters array of string
    • GitCredentialId string
    • GitCredentialType string (required)
      Minimum length 1.
    • GitHubConnectionId string
    • Name string (required)
    • RepositoryUri string (required)
      Minimum length 1.
    • StepPackageInputsReferenceId string
  • Id string (required)
    The id of the existing Action Template.
  • Inputs object
    • Value string
  • Name string (required)
    The name of the Action Template. Minimum length 1.
  • Packages array of object
    • AcquisitionLocation string
      The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.
    • FeedId string
      Feed ID, name or a variable-expression.
    • Id string
    • Name string
      A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.
    • PackageId string
      Package ID or a variable-expression.
    • Properties object
    • StepPackageInputsReferenceId string
      This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.
    • Version string
      Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
  • Parameters array of object
    • DefaultValue object
    • DisplaySettings object
    • HelpText string
    • Id string
    • Label string
    • Name string
  • Properties object
  • SpaceId string (required)
    The id of the Space that contains the Action Template.
  • StepPackageVersion string

Response

200 — Confirmation that the Action Template was modified, including the updated template.

  • ActionType string
    Minimum length 1.
  • CommunityActionTemplateId string
  • Description string
  • GitDependencies array of object
    • DefaultBranch string
      Minimum length 1.
    • FilePathFilters array of string
    • GitCredentialId string
    • GitCredentialType string
      Minimum length 1.
    • GitHubConnectionId string
    • Name string
    • RepositoryUri string
      Minimum length 1.
    • StepPackageInputsReferenceId string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Minimum length 1.
  • Packages array of object
    • AcquisitionLocation string
      The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.
    • FeedId string
      Feed ID, name or a variable-expression.
    • Id string
    • Name string
      A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.
    • PackageId string
      Package ID or a variable-expression.
    • Properties object
    • StepPackageInputsReferenceId string
      This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.
    • Version string
      Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
  • Parameters array of object
    • DefaultValue object
    • DisplaySettings object
    • HelpText string
    • Id string
    • Label string
    • Name string
  • Properties object
  • SpaceId string
  • Version integer

Example Request

JSON
{
  "Description": "string",
  "GitDependencies": [
    {
      "DefaultBranch": "string",
      "FilePathFilters": [
        "string"
      ],
      "GitCredentialId": "string",
      "GitCredentialType": "string",
      "GitHubConnectionId": "string",
      "Name": "string",
      "RepositoryUri": "string",
      "StepPackageInputsReferenceId": "string"
    }
  ],
  "Id": "ActionTemplates-1",
  "Inputs": {
    "Value": "string"
  },
  "Name": "string",
  "Packages": [
    {
      "AcquisitionLocation": "string",
      "FeedId": "string",
      "Id": "string",
      "Name": "string",
      "PackageId": "string",
      "Properties": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "StepPackageInputsReferenceId": "string",
      "Version": "string"
    }
  ],
  "Parameters": [
    {
      "DefaultValue": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "DisplaySettings": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "HelpText": "string",
      "Id": "string",
      "Label": "string",
      "Name": "string"
    }
  ],
  "Properties": {
    "additionalProp1": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp2": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp3": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    }
  },
  "SpaceId": "Spaces-1",
  "StepPackageVersion": "string"
}

Example Response

JSON
{
  "ActionType": "string",
  "CommunityActionTemplateId": "string",
  "Description": "string",
  "GitDependencies": [
    {
      "DefaultBranch": "string",
      "FilePathFilters": [
        "string"
      ],
      "GitCredentialId": "string",
      "GitCredentialType": "string",
      "GitHubConnectionId": "string",
      "Name": "string",
      "RepositoryUri": "string",
      "StepPackageInputsReferenceId": "string"
    }
  ],
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "Packages": [
    {
      "AcquisitionLocation": "string",
      "FeedId": "string",
      "Id": "string",
      "Name": "string",
      "PackageId": "string",
      "Properties": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "StepPackageInputsReferenceId": "string",
      "Version": "string"
    }
  ],
  "Parameters": [
    {
      "DefaultValue": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "DisplaySettings": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "HelpText": "string",
      "Id": "string",
      "Label": "string",
      "Name": "string"
    }
  ],
  "Properties": {
    "additionalProp1": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp2": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp3": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    }
  },
  "SpaceId": "Spaces-1",
  "Version": 0
}

Update deployment and runbook actions to a specific version of the action template

POST /api/{spaceId}/actiontemplates/{id}/actionsUpdate

Also reachable at /api/actiontemplates/{id}/actionsUpdate, /api/spaces/{spaceIdentifier}/actiontemplates/{id}/actionsUpdate.

Path Parameters

  • id string (required)
    The ID of the Action Template.
  • spaceId string (required)
    The ID of the Space containing the Action Template.

Request Body

  • ActionIdsByProcessId object
  • ActionsToUpdate array of object (required)
    The actions to be updated to match the action template.
    • ActionIds array of string (required)
      The IDs of the actions to update.
    • GitRef string
      The Git reference for the action to update.
    • ProcessId string (required)
      The ID of the deployment process which contains the action(s) to update. Minimum length 1.
    • ProcessType enum (required)
      The process type of the deployment process containing the action(s) to update.
      Allowed values: Deployment, Runbook.
    • ProjectId string
      The Project Id for the action to update.
  • DefaultPropertyValues object
    Default values for properties of the action template.
  • Id string (required)
    The ID of the Action Template.
  • Overrides object
    Overrides for values of the properties of the action template.
  • SpaceId string (required)
    The ID of the Space containing the Action Template.
  • Version integer (required)
    The version of the Action Template.

Response

200 — ActionUpdateResultResources with details of the results of the update returned

  • Id string
  • Links object
  • ManualMergeRequiredReasonsByPropertyName object
  • NamesOfNewParametersMissingDefaultValue array of string
  • Outcome enum
    Allowed values: Success, ManualMergeRequired, DefaultParamterValueMissing, RemovedPackageInUse.
  • RemovedPackageUsages array of object
    • PackageReference string
    • UsedBy enum
      Allowed values: ProjectVersionStrategy, ProjectReleaseCreationStrategy, ChannelRule.
    • UsedById string
    • UsedByName string

Example Request

JSON
{
  "ActionIdsByProcessId": {
    "additionalProp1": [
      "string"
    ],
    "additionalProp2": [
      "string"
    ],
    "additionalProp3": [
      "string"
    ]
  },
  "ActionsToUpdate": [
    {
      "ActionIds": [
        "string"
      ],
      "GitRef": "string",
      "ProcessId": "string",
      "ProcessType": "Deployment",
      "ProjectId": "string"
    }
  ],
  "DefaultPropertyValues": {
    "additionalProp1": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp2": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp3": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    }
  },
  "Id": "ActionTemplates-1",
  "Overrides": {
    "additionalProp1": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp2": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp3": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    }
  },
  "SpaceId": "Spaces-1",
  "Version": 0
}

Example Response

JSON
[
  {
    "Id": "string",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "ManualMergeRequiredReasonsByPropertyName": {
      "additionalProp1": [
        "string"
      ],
      "additionalProp2": [
        "string"
      ],
      "additionalProp3": [
        "string"
      ]
    },
    "NamesOfNewParametersMissingDefaultValue": [
      "string"
    ],
    "Outcome": "Success",
    "RemovedPackageUsages": [
      {
        "PackageReference": "string",
        "UsedBy": "ProjectVersionStrategy",
        "UsedById": "string",
        "UsedByName": "string"
      }
    ]
  }
]

Create a server task to update deployment and runbook actions to a specific version of the action template

POST /api/{spaceId}/actiontemplates/{id}/actionsUpdate/bulk

Also reachable at /api/actiontemplates/{id}/actionsUpdate/bulk, /api/spaces/{spaceIdentifier}/actiontemplates/{id}/actionsUpdate/bulk.

Path Parameters

  • id string (required)
    The ID of the Action Template.
  • spaceId string (required)
    The ID of the Space containing the Action Template.

Request Body

  • ActionsToUpdate array of object (required)
    The actions to be updated to match the action template.
    • ActionIds array of string (required)
      The IDs of the actions to update.
    • GitRef string
      The Git reference for the action to update.
    • ProcessId string (required)
      The ID of the deployment process which contains the action(s) to update. Minimum length 1.
    • ProcessType enum (required)
      The process type of the deployment process containing the action(s) to update.
      Allowed values: Deployment, Runbook.
    • ProjectId string
      The Project Id for the action to update.
  • DefaultPropertyValues object
    Default values for properties of the action template.
  • Id string (required)
    The ID of the Action Template.
  • Overrides object
    Overrides for values of the properties of the action template.
  • SpaceId string (required)
    The ID of the Space containing the Action Template.
  • Version integer (required)
    The version of the Action Template.

Response

200 — Returns the results of the update of the actions updated to match the action template.

  • Outcome string
    Minimum length 1.
  • Results array of object
    • Id string
    • Links object
    • ManualMergeRequiredReasonsByPropertyName object
    • NamesOfNewParametersMissingDefaultValue array of string
    • Outcome enum
      Allowed values: Success, ManualMergeRequired, DefaultParamterValueMissing, RemovedPackageInUse.
    • RemovedPackageUsages array of object
  • TaskId string
  • ValidationFailures array of string

Example Request

JSON
{
  "ActionsToUpdate": [
    {
      "ActionIds": [
        "string"
      ],
      "GitRef": "string",
      "ProcessId": "string",
      "ProcessType": "Deployment",
      "ProjectId": "string"
    }
  ],
  "DefaultPropertyValues": {
    "additionalProp1": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp2": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp3": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    }
  },
  "Id": "ActionTemplates-1",
  "Overrides": {
    "additionalProp1": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp2": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp3": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    }
  },
  "SpaceId": "Spaces-1",
  "Version": 0
}

Example Response

JSON
{
  "Outcome": "string",
  "Results": [
    {
      "Id": "string",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "ManualMergeRequiredReasonsByPropertyName": {
        "additionalProp1": [
          "string"
        ],
        "additionalProp2": [
          "string"
        ],
        "additionalProp3": [
          "string"
        ]
      },
      "NamesOfNewParametersMissingDefaultValue": [
        "string"
      ],
      "Outcome": "Success",
      "RemovedPackageUsages": [
        {}
      ]
    }
  ],
  "TaskId": "ServerTasks-1",
  "ValidationFailures": [
    "string"
  ]
}

Get the logo associated with the latest version of action template

GET /api/{spaceId}/actiontemplates/{id}/logo

Also reachable at /api/actiontemplates/{id}/logo, /api/spaces/{spaceIdentifier}/actiontemplates/{id}/logo.

Path Parameters

  • id string (required)
    Action Type or ID of the action type logo.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Success

Example Response

JSON
"string"

Update the logo associated with the latest version of the action template

POST /api/{spaceId}/actiontemplates/{id}/logo

Also reachable at /api/actiontemplates/{id}/logo, /api/spaces/{spaceIdentifier}/actiontemplates/{id}/logo.

Path Parameters

  • id string (required)
    The ID of the action template for which to set the logo.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Confirmation that the logo was updated

Example Response

JSON
{}

Update the logo associated with the latest version of the action template

PUT /api/{spaceId}/actiontemplates/{id}/logo

Path Parameters

  • id string (required)
    The ID of the action template for which to set the logo.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Confirmation that the logo was updated

Example Response

JSON
{}

Update the logo associated with the latest version of the action template

PUT /api/spaces/{spaceIdentifier}/actiontemplates/{id}/logo

Also reachable at /api/actiontemplates/{id}/logo.

Path Parameters

  • id string (required)
    The ID of the action template for which to set the logo.
  • spaceIdentifier string (required)
    Identifier (ID or slug) of the space.

Response

200 — Confirmation that the logo was updated

Example Response

JSON
{}

Get usages for an Action Template

GET /api/{spaceId}/actiontemplates/{id}/usage

Also reachable at /api/actiontemplates/{id}/usage, /api/spaces/{spaceIdentifier}/actiontemplates/{id}/usage.

Gets a list of all steps/deployment processes that use a given action template.

Path Parameters

  • id string (required)
    ID of the resource.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • branch string
    Optionally filter usages associated with a config as code branch.
  • process enum
    Optionally filter by process type.
    Allowed values: Deployment, Runbook.
  • project string
    Optionally filter version controlled usages by project.
  • withUpdates boolean
    Optionally filter for only version controlled usages with updates.

Response

200 — The requested Action Template usages

  • ActionId string
    Minimum length 1.
  • ActionName string
    Minimum length 1.
  • ActionTemplateId string
    Minimum length 1.
  • Branch string
  • DeploymentProcessId string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ProcessId string
    Minimum length 1.
  • ProcessType enum
    Allowed values: Deployment, Runbook.
  • ProjectId string
    Minimum length 1.
  • ProjectName string
    Minimum length 1.
  • ProjectSlug string
    Minimum length 1.
  • Release string
  • RunbookId string
  • RunbookName string
  • StepId string
    Minimum length 1.
  • StepName string
    Minimum length 1.
  • Version string

Example Response

JSON
[
  {
    "ActionId": "string",
    "ActionName": "string",
    "ActionTemplateId": "string",
    "Branch": "string",
    "DeploymentProcessId": "string",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "ProcessId": "string",
    "ProcessType": "Deployment",
    "ProjectId": "string",
    "ProjectName": "string",
    "ProjectSlug": "string",
    "Release": "string",
    "RunbookId": "string",
    "RunbookName": "string",
    "StepId": "string",
    "StepName": "string",
    "Version": "string"
  }
]

Get an Action Template by ID

GET /api/{spaceId}/actiontemplates/{id}/v1

Also reachable at /api/actiontemplates/{id}/v1, /api/spaces/{spaceIdentifier}/actiontemplates/{id}/v1.

Path Parameters

  • id string (required)
    ID of the ActionTemplate to load.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Action Template

  • ActionTemplate object
    • ActionType string
      Minimum length 1.
    • CommunityActionTemplateId string
    • Description string
    • GitDependencies array of object
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
      Minimum length 1.
    • Packages array of object
    • Parameters array of object
    • Properties object
    • SpaceId string
    • Version integer

Example Response

JSON
{
  "ActionTemplate": {
    "ActionType": "string",
    "CommunityActionTemplateId": "string",
    "Description": "string",
    "GitDependencies": [
      {
        "DefaultBranch": "string",
        "FilePathFilters": [
          "string"
        ],
        "GitCredentialId": "string",
        "GitCredentialType": "string",
        "GitHubConnectionId": "string",
        "Name": "string",
        "RepositoryUri": "string",
        "StepPackageInputsReferenceId": "string"
      }
    ],
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "Packages": [
      {
        "AcquisitionLocation": "string",
        "FeedId": "string",
        "Id": "string",
        "Name": "string",
        "PackageId": "string",
        "Properties": {},
        "StepPackageInputsReferenceId": "string",
        "Version": "string"
      }
    ],
    "Parameters": [
      {
        "DefaultValue": {},
        "DisplaySettings": {},
        "HelpText": "string",
        "Id": "string",
        "Label": "string",
        "Name": "string"
      }
    ],
    "Properties": {
      "additionalProp1": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "additionalProp2": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "additionalProp3": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      }
    },
    "SpaceId": "Spaces-1",
    "Version": 0
  }
}

Get all versions of an Action Template

GET /api/{spaceId}/actiontemplates/{id}/versions

Also reachable at /api/actiontemplates/{id}/versions, /api/spaces/{spaceIdentifier}/actiontemplates/{id}/versions.

Path Parameters

  • id string (required)
    The id of the Action Template.
  • spaceId string (required)
    The id of the Space that contains the Action Template.

Response

200 — The list of action template resources for each version.

  • ActionType string
    Minimum length 1.
  • CommunityActionTemplateId string
  • Description string
  • GitDependencies array of object
    • DefaultBranch string
      Minimum length 1.
    • FilePathFilters array of string
    • GitCredentialId string
    • GitCredentialType string
      Minimum length 1.
    • GitHubConnectionId string
    • Name string
    • RepositoryUri string
      Minimum length 1.
    • StepPackageInputsReferenceId string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Minimum length 1.
  • Packages array of object
    • AcquisitionLocation string
      The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.
    • FeedId string
      Feed ID, name or a variable-expression.
    • Id string
    • Name string
      A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.
    • PackageId string
      Package ID or a variable-expression.
    • Properties object
    • StepPackageInputsReferenceId string
      This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.
    • Version string
      Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
  • Parameters array of object
    • DefaultValue object
    • DisplaySettings object
    • HelpText string
    • Id string
    • Label string
    • Name string
  • Properties object
  • SpaceId string
  • Version integer

Example Response

JSON
[
  {
    "ActionType": "string",
    "CommunityActionTemplateId": "string",
    "Description": "string",
    "GitDependencies": [
      {
        "DefaultBranch": "string",
        "FilePathFilters": [
          "string"
        ],
        "GitCredentialId": "string",
        "GitCredentialType": "string",
        "GitHubConnectionId": "string",
        "Name": "string",
        "RepositoryUri": "string",
        "StepPackageInputsReferenceId": "string"
      }
    ],
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "Packages": [
      {
        "AcquisitionLocation": "string",
        "FeedId": "string",
        "Id": "string",
        "Name": "string",
        "PackageId": "string",
        "Properties": {},
        "StepPackageInputsReferenceId": "string",
        "Version": "string"
      }
    ],
    "Parameters": [
      {
        "DefaultValue": {},
        "DisplaySettings": {},
        "HelpText": "string",
        "Id": "string",
        "Label": "string",
        "Name": "string"
      }
    ],
    "Properties": {
      "additionalProp1": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "additionalProp2": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "additionalProp3": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      }
    },
    "SpaceId": "Spaces-1",
    "Version": 0
  }
]

Get a specific version of an Action Template

GET /api/{spaceId}/actiontemplates/{id}/versions/{version}

Also reachable at /api/actiontemplates/{id}/versions/{version}, /api/spaces/{spaceIdentifier}/actiontemplates/{id}/versions/{version}.

Path Parameters

  • id string (required)
    The id of the Action Template.
  • spaceId string (required)
    The id of the Space that contains the Action Template.
  • version string (required)
    The version number of the Action Template.

Response

200 — The action template resource.

  • ActionType string
    Minimum length 1.
  • CommunityActionTemplateId string
  • Description string
  • GitDependencies array of object
    • DefaultBranch string
      Minimum length 1.
    • FilePathFilters array of string
    • GitCredentialId string
    • GitCredentialType string
      Minimum length 1.
    • GitHubConnectionId string
    • Name string
    • RepositoryUri string
      Minimum length 1.
    • StepPackageInputsReferenceId string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Minimum length 1.
  • Packages array of object
    • AcquisitionLocation string
      The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.
    • FeedId string
      Feed ID, name or a variable-expression.
    • Id string
    • Name string
      A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.
    • PackageId string
      Package ID or a variable-expression.
    • Properties object
    • StepPackageInputsReferenceId string
      This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.
    • Version string
      Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
  • Parameters array of object
    • DefaultValue object
    • DisplaySettings object
    • HelpText string
    • Id string
    • Label string
    • Name string
  • Properties object
  • SpaceId string
  • Version integer

Example Response

JSON
{
  "ActionType": "string",
  "CommunityActionTemplateId": "string",
  "Description": "string",
  "GitDependencies": [
    {
      "DefaultBranch": "string",
      "FilePathFilters": [
        "string"
      ],
      "GitCredentialId": "string",
      "GitCredentialType": "string",
      "GitHubConnectionId": "string",
      "Name": "string",
      "RepositoryUri": "string",
      "StepPackageInputsReferenceId": "string"
    }
  ],
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "Packages": [
    {
      "AcquisitionLocation": "string",
      "FeedId": "string",
      "Id": "string",
      "Name": "string",
      "PackageId": "string",
      "Properties": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "StepPackageInputsReferenceId": "string",
      "Version": "string"
    }
  ],
  "Parameters": [
    {
      "DefaultValue": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "DisplaySettings": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "HelpText": "string",
      "Id": "string",
      "Label": "string",
      "Name": "string"
    }
  ],
  "Properties": {
    "additionalProp1": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp2": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    },
    "additionalProp3": {
      "IsSensitive": true,
      "SensitiveValue": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Value": "string"
    }
  },
  "SpaceId": "Spaces-1",
  "Version": 0
}

Get the logo associated with specific version of the action template

GET /api/{spaceId}/actiontemplates/{typeOrId}/versions/{version}/logo

Also reachable at /api/actiontemplates/{typeOrId}/versions/{version}/logo, /api/spaces/{spaceIdentifier}/actiontemplates/{typeOrId}/versions/{version}/logo.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).
  • typeOrId string (required)
    Action Type or ID of the action type logo.
  • version string (required)
    Version of the action type logo.

Response

200 — OK

Example Response

JSON
"string"